跳至主要內容

Atomicals

SunSeekerX大约 2 分钟

Atomicals

文档:https://docs.atomicals.xyz/open in new window

公共节点:https://docs.atomicals.xyz/reference-and-tools/electrumx-api-and-public-endpointsopen in new window

自建全节点索引同步状态:http://localhost:8080/proxy/healthopen in new window

rpc 运行命令:https://github.com/Next-DAO/atomicals-electrumx-proxy-docker/blob/main/README.zh-CN.mdopen in new window

pepe看板:https://geniidata.com/user/0xmatsu/bitcoin-atomicals-protocol-analyticsopen in new window

批量查询:https://www.cpbox.io/atomicals/#/open in new window

相关市场

https://www.satsx.io/open in new window

https://bitatom.io/open in new window

https://wizz.cash/open in new window

公共节点备选

目前几个公有节点备选:
Official: https://ep.atomicals.xyz/proxy
NextDao: https://ep.nextdao.xyz/proxy
Consync: https://ep.consync.xyz/proxy
http://Wizz.Cash: https://ep.atomicalswallet.com/proxy
Atomical Market: https://ep.atomicalmarket.com/proxy

私有节点搭建

https://geekx.top/crypto/btc/Atomicals.htmlopen in new window

docker-compose pull
docker-compose up -d

Atomical Market

https://atomicalmarket.com/open in new window

挖矿工具

https://github.com/atomicals/atomicals-js.gitopen in new window

使用

# 拉取项目
git clone https://github.com/atomicals/atomicals-js.git
# 进入项目
cd atomicals-js/
# 装包
yarn
# 构建工具
yarn run build
# 然后就可以使用 yarn run cli --help 了,没有 wallet.json 就先初始化钱包
yarn cli wallet-init
# 打钱到 funding 地址就可以开挖
yarn cli mint-dft electron

更新脚本

# 拉取新的代码,在项目目录下执行
git pull
# 安装依赖
yarn
# 构建新版本的工具
yarn build

脚本命令

npm run cli balances
# 挖 electron --satsbyte=52 是设置 gas 的
yarn cli mint-dft electron --satsbyte=52
# 获取 nft 项目信息
yarn cli get-container-item "#toothy" "0001"

循环查询 nft 条目信息

# PowerShell 脚本

# 设置循环的起始和结束值
$start = 1
$end = 9999

# 循环执行命令
for ($i = $start; $i -le $end; $i++) {
    # 将数字转换为四位字符串
    $numberStr = $i.ToString().PadLeft(4, '0')

    # 执行命令并将输出追加到 log.txt 文件
    yarn cli get-container-item "#toothy" "$numberStr" >> log.txt
}

nvm

https://github.com/nvm-sh/nvm?tab=readme-ov-file#install--update-scriptopen in new window

curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.5/install.sh | bash
# or
wget -qO- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.5/install.sh | bash

# 安装 nodejs
# 查看 lts 版本
nvm ls-remote --lts
# 安装 v20 版本
nvm install v20.10.0
# 设置命令行默认 nodejs 版本
nvm alias default v20.10.0

centos 遇到得问题

[root@VM-0-13-centos ~]# node -v
node: /lib64/libm.so.6: version `GLIBC_2.27' not found (required by node)
node: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by node)
node: /lib64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by node)
node: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by node)
node: /lib64/libc.so.6: version `GLIBC_2.28' not found (required by node)
node: /lib64/libc.so.6: version `GLIBC_2.25' not found (required by node)

解决,升级 glibc 和 libstdc++ 版本

# 更新现有包
sudo yum update

装低版本的 nodejs 用 16 版本

挖 dmint

# 鳄鱼
toothy
yarn cli mint-item "#toothy" "0999" C:\Users\zero\Desktop\toothy\item-0999.json --satsbyte 30yarn cli mint-item "#toothy" "1418" C:\Users\zero\Desktop\toothy\item-1418.json --satsbyte 30

# 河豚
capybaras
yarn cli mint-item "#toothy" "0091" C:\Users\zero\Desktop\capybaras\json\item-0091.json --satsbyte 30
yarn cli mint-item "#toothy" "0115" C:\Users\zero\Desktop\capybaras\json\item-0115.json

https://wizz.cash/live-mintopen in new window

https://www.satsx.io/inscribe/atomicalsopen in new window

https://bitatom.io/exploreopen in new window

挖 electron

atomicals-js 命令

# 挖 electron --satsbyte=52 是设置 gas 的
yarn cli mint-dft electron --satsbyte=52

dune 数据看板

https://dune.com/satsx/electronopen in new window

x 信息

上次编辑于:
贡献者: SunSeekerX